# $Id: perl-prefork.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dag
# Upstream: Adam Kennedy <cpan$ali,as>

### EL6 ships with perl-prefork-1.04-2.el6
%{?el6:# Tag: rfx}

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name prefork

Summary: Optimized module loading for forking or non-forking processes
Name: perl-prefork
Version: 1.04
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/prefork/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/authors/id/A/AD/ADAMK/prefork-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 0:5.005
BuildRequires: perl(File::Spec) >= 0.8
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(List::Util) >=  0.18
BuildRequires: perl(Scalar::Util) >=  0.18
Requires: perl >= 0:5.005

%description
Optimized module loading for forking or non-forking processes.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README
%doc %{_mandir}/man3/prefork.3pm*
%{perl_vendorlib}/prefork.pm

%changelog
* Wed Jul 29 2009 Christoph Maser <cmr@financial.com> - 1.04-1 - 7981+/dag
- Updated to version 1.04.

* Mon Jun 22 2009 Christoph Maser <cmr@financial.com> - 1.03-1
- Updated to version 1.03.

* Sat Nov 24 2007 Dag Wieers <dag@wieers.com> - 1.02-1
- Updated to release 1.02.

* Fri May 04 2007 Dag Wieers <dag@wieers.com> - 1.01-1
- Initial package. (using DAR)
